<div ng-include = "'html/navbarManagers.html'"></div>

<div class = "container" style = "margin-top:100px">
   <h1>Meni</h1>
    <table class="table table-hover">
        <tr>
            <td>
                <input type="text"  placeholder="*Oznaka" class="form-control" ng-model="menuInput.id.miId" required/>
            </td>
            <td>
                <input type="text"  placeholder="Naziv" class="form-control" ng-model="menuInput.miName"/>
            </td>
            <td>
                <input type="text"  placeholder="Cena (RSD)" class="form-control" ng-model="menuInput.miPrice"/>
            </td>
            <td>
                <textarea type="text"  placeholder="Opis" rows = "5" class="form-control" ng-model="menuInput.miDesc"></textarea>
            </td>
             <td ng-if = "state !== 'update'">
                <input type="button" value="Dodaj" class="btn btn-primary"  ng-click = "addMenuItem();">
            </td>
            <td>
                <input type="button" value="Izmeni" class="btn btn-primary" ng-if = "state === 'update'" ng-click = "updateMenuItem();">
            </td>
             <td>
                <input type="button" value="Poništi" class="btn btn-primary" ng-if = "state === 'update'" ng-click = "cancelUpdate();">
            </td>
        </tr>
        <tr></tr>
        <tr></tr>
        <tr>
            <th>Oznaka</th>
            <th>Naziv</th>
            <th>Cena</th>
            <th>Opis</th>
            <th></th>
            <th></th>
        </tr>

        <tbody>
        <tr ng-repeat="menuItem in menuItems">
            <td>
                <span>
                  {{ menuItem.id.miId }}
                </span>
            </td>
            <td>
                <span>
                  {{ menuItem.miName }}
                </span>
            </td>
            <td>
                <span>
                    {{menuItem.miPrice}}
                </span>
            </td>
            <td>
                <span >
                    {{menuItem.miDesc}}
                </span>
            </td>
            <td><input type="button" value="Izmeni" class="btn btn-warning" ng-click = "prepareMenuItemUpdate($index);"></td>
            <td><input type="button" value="Obrisi" class="btn btn-danger" ng-click = "deleteMenuItem($index);"></td>
        </tr>
        </tbody>
    </table>
</div>